package http

import "git.javil.eu/jacob1123/budgeteer/jwt"
import "git.javil.eu/jacob1123/budgeteer"

type TemplateData struct {
	token         jwt.Token
	budgetService budgeteer.BudgetService
}

func (d *TemplateData) GetToken() jwt.Token {
	return d.token
}

func (d *TemplateData) GetBudgets() []budgeteer.Budget {
	userID := d.token.GetID()
	budgets, err := d.budgetService.BudgetsForUser(userID)
	if err != nil {
		return nil
	}

	return budgets
}
